<?php
namespace plugins\surveys\models;

/**
 * Answer model class
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2022, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class Answer extends \ActiveRecord {
    
    protected function validate() {
        $i18n = \IoC::resolve( 'i18n' );
        $this->validateMaxLength( 'value', 255, $i18n->__( 'too_long_value', 255 ) );
        //~ $this->validateNotEmpty( 'value', $i18n->__( 'surveys.value_cannot_be_empty' ) );
    }
}
